=== debian/changelog ===
imath (3.1.9-3ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:41:22 +0000

imath (3.1.9-3ubuntu2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:34 +0100

imath (3.1.9-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't build python3-imath on i386

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 28 Nov 2023 09:48:52 +0000

imath (3.1.9-3) unstable; urgency=medium

  * debian/control: add python3-imath as dep to -dev
    (Closes: #1050349)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 04 Sep 2023 14:11:55 +0200

imath (3.1.9-2) unstable; urgency=medium

  * debian/rules: drop tests compilation

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Aug 2023 13:57:55 +0200

imath (3.1.9-1) unstable; urgency=medium

  * New upstream release (Closes: #1042171)
  * debian/: massive packaging simplification

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Aug 2023 00:24:19 +0200

imath (3.1.6-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Don't build python3-imath on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 11 Feb 2023 06:56:53 +0000

imath (3.1.5-1ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:21:36 +0000
