=== debian/rules ===
#! /usr/bin/make -f

pkg_lib = libimath-3-1-29
pkg_dev = libimath-dev
pkg_doc = libimath-doc
pkg_py  = python3-imath

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq ($(DEB_HOST_ARCH), i386)
    witharg = --with python3
    cmake_python = -DPYTHON=ON
endif

INSTDIR = debian/tmp

%:
	dh $@ -Bbuild -Scmake $(witharg)

ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_DOCS=$(BUILDDOC) \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		$(cmake_python)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	dh_auto_install -- -C docs

override_dh_auto_test:

override_dh_install-arch:
	dh_numpy3 --package=python3-imath
	dh_install

override_dh_install-indep:
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/doctools.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/language_data.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/searchtools.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/underscore.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/.buildinfo
	rm -rf $(INSTDIR)/usr/share/doc/Imath/sphinx/.doctrees
	dh_install -p$(pkg_doc) usr/share/doc/Imath/sphinx/* usr/share/doc/libimath-doc/html

override_dh_install-arch:
	# See #1004067
	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathConfig.cmake
	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathTargets.cmake
ifneq ($(DEB_HOST_ARCH), i386)
	dh_numpy3 --package=$(pkg_py)
endif
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.8.0
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath.so
	dh_install -p$(pkg_dev) debian/tmp/usr/include
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
ifneq ($(DEB_HOST_ARCH), i386)
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.8.0
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imath.so
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imathnumpy.so
endif
