=== debian/control ===
--- 
+++ 
@@ -7,22 +7,25 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-python [!i386],
+ dh-python,
  doxygen,
  libboost-python-dev [!i386],
- pkg-config,
- python3-breathe [!i386],
- python3-dev:any [!i386],
- python3-numpy [!i386],
- python3-sphinx [!i386],
- python3-sphinx-press-theme [!i386]
+ pkgconf,
+ python3-breathe <!nodoc>,
+ python3-dev:native, libpython3-dev,
+ python3-numpy:native [!i386],
+ python3-sphinx <!nodoc>,
+ python3-sphinx-press-theme <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imath.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imath
 
-Package: libimath-3-1-29
+Package: libimath-3-1-29t64
+Provides: ${t64:Provides}
+Replaces: libimath-3-1-29
+Breaks: libimath-3-1-29 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -47,8 +50,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libimath-3-1-29 (= ${binary:Version}),
- python3-imath,
+ libimath-3-1-29t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends:
@@ -75,6 +77,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends:
  libjs-jquery,
  sphinx-common,
@@ -93,7 +96,7 @@
 
 Package: python3-imath
 Section: python
-Architecture: any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: same
 Depends:
  ${misc:Depends},
