=== debian/changelog ===
imath (3.1.12-1deepin1) unstable; urgency=medium

  * Revert t64

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 11 Apr 2025 11:06:05 +0800

imath (3.1.12-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 24 Oct 2024 20:32:44 +0200
