=== debian/control ===
--- 
+++ 
@@ -1,31 +1,27 @@
 Source: imath
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-python,
  doxygen,
- libboost-python-dev [!i386],
+ libboost-python-dev,
  pkgconf,
  python3-breathe <!nodoc>,
  python3-dev:native, libpython3-dev,
- python3-numpy:native [!i386],
+ python3-numpy:native,
  python3-sphinx <!nodoc>,
  python3-sphinx-press-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imath.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imath
 
-Package: libimath-3-1-29t64
-Provides: ${t64:Provides}
-Replaces: libimath-3-1-29
-Breaks: libimath-3-1-29 (<< ${source:Version})
+Package: libimath-3-1-29
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -50,7 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libimath-3-1-29t64 (= ${binary:Version}),
+ libimath-3-1-29 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends:
@@ -96,7 +92,7 @@
 
 Package: python3-imath
 Section: python
-Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
